## Apache Zeta Components Manual :: Docs For Class ezcWorkflowException

### Workflow::ezcWorkflowException

### Class ezcWorkflowException

General exception for the Workflow component.

Source for this file: /Workflow/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcWorkflowException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcWorkflowExecutionException | Exception will be thrown when an error occurs during workflow execution.
ezcWorkflowDefinitionStorageException | This exception will be thrown when an error related to saving or loading a workflow definition occurs.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3